commit:     2d0dc53cb0d0e4a9c4b19b362c48dcd34e842fa1
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 25 14:49:28 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 15:00:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d0dc53c

app-misc/tmux: Revbump using correct release tarball.

Closes: https://bugs.gentoo.org/681736
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-misc/tmux/Manifest           |  2 +-
 app-misc/tmux/tmux-2.8-r2.ebuild | 82 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+), 1 deletion(-)

diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 576c077169f..d727934d1f6 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -1,3 +1,3 @@
 DIST tmux-2.7.tar.gz 487585 BLAKE2B 
9c56da03bd12b358fcbed82def9680c34e1e485f906cf9b90a501e53b109c43d1ee843972d26e677de2c34830e599edee022dc1c17e1e5c935ed232caacb2b01
 SHA512 
7839ef748ea55df8c02c727047f65bd235b5e3b8ab23157246071e1b9954fa269594da9fbd0fabf6a850e3b5dfda962a0a067c1507411c92a84d1db2666ecf37
-DIST tmux-2.8.tar.gz 637609 BLAKE2B 
d95fbdbc79c2c512908f82778816aa8540bf2fe26509c91f46c8c64c8c13c9ea41487e3a816cc11274d4cc2868d16622c87efe978a65b08201c9a1c48e3c8c4b
 SHA512 
d938854994e77f7941a31db79e25706150253feeba5e655a8fa853864e3073d2ee0ea218f972e7c7b9c814d8e8c63c2d9ef9b70ed1c6f8e993a900add4b995b5
+DIST tmux-2.8.tar.gz 491195 BLAKE2B 
1dde20282f84a32647ebb26cdd2346f8870670f904cb06c293218f9db389ded316449f7870805d6d9c1cbb417890ace5e3c36c533bf64818b219f3265b9d2dfd
 SHA512 
e382aec122a10624953432b3c869b21d69390bc2e7d459440a46950802e39503eafb398178f8085191261925e4f0872bb99b19e0403e7beb56d3ceecc4c86b09
 DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 BLAKE2B 
04143e6d1cfbbd467f1656f949363cb7a4a3e16e9b3cf56b8b0423babe56276abee2622964cb490005fc76d1cbe12201fb1a6446a6f860c2cc1ff3c9bd5fc496
 SHA512 
fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979

diff --git a/app-misc/tmux/tmux-2.8-r2.ebuild b/app-misc/tmux/tmux-2.8-r2.ebuild
new file mode 100644
index 00000000000..851cb2d6a79
--- /dev/null
+++ b/app-misc/tmux/tmux-2.8-r2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="https://tmux.github.io/";
+SRC_URI="https://github.com/tmux/tmux/releases/download/$(ver_cut 
1-2)/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos"
+IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
+
+DEPEND="
+       dev-libs/libevent:0=
+       sys-libs/ncurses:0=
+       utempter? (
+               kernel_linux? ( sys-libs/libutempter )
+               kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 
sys-libs/libutempter ) )
+       )"
+
+BDEPEND="
+       virtual/pkgconfig"
+
+RDEPEND="
+       ${CDEPEND}
+       selinux? ( sec-policy/selinux-screen )
+       vim-syntax? ( app-vim/vim-tmux )"
+
+DOCS=( CHANGES README TODO )
+
+S="${WORKDIR}/${P/_/-}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.4-flags.patch
+
+       # upstream fixes (can be removed with next version bump)
+)
+
+src_prepare() {
+       # bug 438558
+       # 1.7 segfaults when entering copy mode if compiled with -Os
+       replace-flags -Os -O2
+
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --sysconfdir="${EPREFIX}"/etc
+               $(use_enable debug)
+               $(use_enable utempter)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       einstalldocs
+
+       dodoc example_tmux.conf
+       docompress -x /usr/share/doc/${PF}/example_tmux.conf
+}
+
+pkg_postinst() {
+       if ! ver_test 1.9a -ge ${REPLACING_VERSIONS:-1.9a}; then
+               echo
+               ewarn "Some configuration options changed in this release."
+               ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+               ewarn
+               ewarn "WARNING: After updating to ${P} you will _not_ be able 
to connect to any"
+               ewarn "older, running tmux server instances. You'll have to use 
an existing client to"
+               ewarn "end your old sessions or kill the old server instances. 
Otherwise you'll have"
+               ewarn "to temporarily downgrade to access them."
+               echo
+       fi
+}

Reply via email to